<div class="grid">


	<header ng-hide="hasValidOwner" class="row no-padding clearfix">
		<div class="col-2-3"><h2>Ny Aktiebokshändelse</h2></div>
		<button class="col-1-3 new" ng-click="newForeignOwner()">
			<span class="edit"><i class="fa fa-plus"></i>Registrera händelse för utländsk ägare</span>
		</button>
	</header>
	<header ng-show="hasValidOwner" class="row no-padding clearfix">
		<div class="col-1"><h2>Ny Aktiebokshändelse</h2></div>
	</header>


	<div class="row clearfix">
		<div class="col-1">
			<form name="transactionForm" novalidate>
				<div svab-feedback-target="transactions.create"></div>
				<fieldset ng-hide="hasValidOwner">
					<legend>Ägare</legend>
					<div class="col-1">
						<p>
							<label class="form-required">Personnr/Orgnr</label>
							<svab-owner
									svab-orgnr="{{orgNr}}"
									ng-model="transaction.ownerId"
									svab-foreign-owner="foreignOwner"
									svab-selected="checkOwner(transactionForm)"
									svab-foreign="checkForeignOwner()"
									svab-form="transactionForm" />
						</p>

						<div ng-messages="transactionForm.ownerId.$error" ng-show="transactionForm.ownerId.$touched">
							<p class="form-feedback error" ng-message="required">Ange personnummer eller organisationsnummer</p>
							<p class="form-feedback error" ng-message="ownerid-invalid_format">Personnummer skrivs på formen ÅÅÅÅMMDDXXXX. Orgnr skrivs som tio
								tecken utan bindestreck</p>
							<p class="form-feedback error" ng-message="ownerid-10digit_per">Personnummer skrivs på formen ÅÅÅÅMMDDXXXX. Ange århundrade.</p>
							<p class="form-feedback error" ng-message="ownerid-org_luhn">Ogiltigt orgnr. Felaktig kontrollsiffra.</p>
							<p class="form-feedback error" ng-message="ownerid-12digit_org">Orgnr skrivs som tio tecken utan bindestreck</p>
							<p class="form-feedback error" ng-message="ownerid-sam_luhn">Ogiltigt samordningsnummer. Felaktig kontrollsiffra.</p>
							<p class="form-feedback error" ng-message="ownerid-per_date">Ogiltigt personnummer. Kontrollera datum.</p>
							<p class="form-feedback error" ng-message="ownerid-per_luhn">Ogiltigt personnummer. Felaktig kontrollsiffra.</p>
						</div>
					</div>

					<div class="col-1">
						<button ng-hide="checkingOwner" ng-click="checkOwner()">Nästa</button>
						<span ng-show="checkingOwner">
							<button>Kontrollerar ägare <svab-spinner /></button>
						</span>
					</div>
				</fieldset>

				<fieldset ng-show="hasValidOwner">
					<div class="col-1-3" ng-hide="foreignOwner.foreign">
						<p>
							<label>Personnr/Orgnr</label>
							<input type="text"
							       name="ownerId2"
							       ng-model="transaction.ownerId"
							       disabled="disabled" />
						</p>
					</div>
					<div class="col-1-3" ng-show="foreignOwner.foreign">
						<p>
							<label>Personnr/Orgnr</label>
							<input type="text"
							       name="ownerId2"
							       value="(UTL)"
							       disabled="disabled" />
						</p>
					</div>
					<div class="col-2-3">
						<p>
							<label>Namn</label>
							<input type="text"
								   name="ownerName"
								   ng-model="transaction.ownerName"
								   disabled="disabled" />
						</p>
					</div>

					<div class="col-1-3" ng-show="shareTypes.length > 0">
						<p>
							<label class="form-required">Aktieslag</label>
							<select name="shareType" ng-model="transaction.aktieslag">
								<option ng-repeat="shareType in shareTypes" value="{{shareType.aktieSlag}}">{{shareType.aktieSlag}}</option>
							</select>
						</p>
						<p class="helptext">Välj aktieslag</p>
					</div>

					<div class="col-1 no-padding">
						<div class="col-1-3">
							<p>
								<label class="form-required">Nummerserie fr.o.m.</label>
								<input type="number"
									name="fromNumberSerie"
									ng-model="transaction.fromNumberSerie"
								   	required
								    svab-leq-than="{{transaction.toNumberSerie}}"/>
							</p>

							<div ng-messages="transactionForm.fromNumberSerie.$error" ng-show="transactionForm.fromNumberSerie.$touched">
								<p class="form-feedback error" ng-message="required">Ange början på nummerserien</p>
								<p class="form-feedback error" ng-message="leq">Fr.o.m. måste vara lägre än t.o.m.</p>
							</div>
						</div>
						<div class="col-1-3">
							<p>
								<label class="form-required">Nummerserie t.o.m.</label>
								<input type="number"
									name="toNumberSerie"
								    ng-model="transaction.toNumberSerie"
								    required
								    svab-geq-than="{{transaction.fromNumberSerie}}"/>
							</p>

							<div ng-messages="transactionForm.toNumberSerie.$error" ng-show="transactionForm.toNumberSerie.$touched">
								<p class="form-feedback error" ng-message="required">Ange början på nummerserien</p>
								<p class="form-feedback error" ng-message="geq">T.o.m. måste vara högre än Fr.o.m.</p>
							</div>
						</div>


						<div class="col-1-3">
							<p><label>Antal</label>
							<input type="number" name="quantity" ng-model="transaction.quantity" disabled="disabled"/></p>
						</div>
					</div>
					<p class="helptext col-1">Ange serie, t.ex. från och med 101 till och med 151.</p>
					<div class="col-1 clearfix">
						<p><label>Aktiebokshändelsetyp</label></p>
                        <span class="custom-radiobutton">
                            <input type="radio"
                                   id="insertion"
                                   name="transactionTypeId"
                                   ng-model="transaction.transactionTypeId"
                                   value="1"
                                   required/><label for="insertion" class="col-1-2">Förvärv</label>
                            <input type="radio"
                                   id="withdrawal"
                                   name="transactionTypeId"
                                   ng-model="transaction.transactionTypeId"
                                   value="2"
                                   required/><label for="withdrawal" class="col-1-2">Avyttring</label>
                        </span>
					</div>

					<div class="col-1-2 clearfix" ng-show="transaction.transactionTypeId == 1">
						<p><label>Händelsetyp</label></p>
                        <span class="custom-radiobutton">
                            <input type="radio"
                                   id="newRegistration"
                                   name="eventTypeId"
                                   ng-model="transaction.eventTypeId"
                                   value="1"
                                   required/><label for="newRegistration" class="col-1">Nyregistrering</label>
                            <input type="radio"
                                   id="ownerSwitch"
                                   name="eventTypeId"
                                   ng-model="transaction.eventTypeId"
                                   value="2"
                                   required/><label for="ownerSwitch" class="col-1">Ägarbyte</label>
                            <input type="radio"
                                   id="newEmission"
                                   name="eventTypeId"
                                   ng-model="transaction.eventTypeId"
                                   value="3"
                                   required/><label for="newEmission" class="col-1">Nyemission</label>
                            <input type="radio" 
                            	   id="split"
                            	   name="eventTypeId"
                            	   ng-model="transaction.eventTypeId"
                            	   value="5" required/><label for="split" class="col-1">Split</label>
                         	<input type="radio"
                         		   id="divide"
                         		   name="eventTypeId"
                         		   ng-model="transaction.eventTypeId"
                         		   value="6"
                         		   required/><label for="divide" class="col-1">Delning</label>
                        </span>
						<label>Annan händelsetyp</label><input type="text"
						                                       name="handelsetypText"
						                                       ng-model="transaction.eventText"
						                                       placeholder="Händelsetyp"
						                                       ng-required="transaction.eventTypeId == -1"/>
					</div>


					<div class="col-1">
						<p>
							<label class="form-required">Datum för aktiebokshändelse (ÅÅÅÅ-MM-DD)</label>
							<input name="tradeDate" type="date" max="2099-12-31" ng-model="transaction.tradeDate" placeholder="ex. 2015-01-01" realDate required/>
						</p>

						<div ng-messages="transactionForm.tradeDate.$error" ng-show="transactionForm.tradeDate.$touched">
							<p class="form-feedback error" ng-message="required">Ange datum</p>
							<p class="form-feedback error" ng-message="date">Ange giltigt datum</p>
							<p class="form-feedback error" ng-message="realDate">Ange giltigt datum</p>
						</div>
					</div>

					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<div><span>Förmyndare/God man</span></div>
						<p class="col-1-5">
							<input type="checkbox" id="custodianYes" ng-model="transaction.custodianYes" value="false"/>
							<label for="custodianYes"><span></span></label>
						</p>

						<p class="col-4-5" ng-show="transaction.custodianYes"><label ng-hide="true">Förmyndare/God man</label><input type="text"
						                                                                                                             name="custodian"
						                                                                                                             ng-model="transaction.custodian"/>
						</p>
					</div>


					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">

						<p class="col-1-5">
							<span>Pantsatt</span>
							<input type="checkbox" id="pawnedYes" name="isPawned" ng-model="transaction.isPawned" value="true"/>
							<label for="pawnedYes">
								<span></span>
							</label>
						</p>

						<p class="col-4-5" ng-show="transaction.isPawned == true"><label>Panthavare</label><input name="pawnee" ng-model="transaction.pawnee"/>
						</p>

					</div>


					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<p><label>Rätt till utdelning</label></p>
						<input type="checkbox" id="dividendRight" name="dividendRight" ng-model="transaction.dividendRight" value="true"/>
						<label for="dividendRight"><span></span></label>

					</div>

					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<p><label>Samtyckesförbehåll</label></p>
						<input type="checkbox" id="consentDisclaimers" name="consentDisclaimers" ng-model="transaction.consentDisclaimers" value="true"/>
						<label for="consentDisclaimers"><span></span></label>

					</div>

					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<p><label>Förköpsförbehåll</label></p>
						<input type="checkbox" id="presaleDisclaimers" name="presaleDisclaimers" ng-model="transaction.presaleDisclaimers" value="true"/>
						<label for="presaleDisclaimers"><span></span></label>

					</div>

					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<p><label>Omvandlingsförbehåll</label></p>
						<input type="checkbox"
						       id="conversionDisclaimers"
						       name="conversionDisclaimers"
						       ng-model="transaction.conversionDisclaimers"
						       value="true"/>
						<label for="conversionDisclaimers"><span></span></label>
					</div>

					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<p><label>Inlösenförbehåll</label></p>
						<input type="checkbox"
						       id="redemptionDisclaimers"
						       name="redemptionDisclaimers"
						       ng-model="transaction.redemptionDisclaimers"
						       value="true"/>
						<label for="redemptionDisclaimers"><span></span></label>
					</div>

					<div class="col-1 clearfix custom-checkbox" ng-show="transaction.transactionTypeId == 1">
						<p><label>Aktiebrev utgivet</label></p>
						<input type="checkbox"
						       id="shareCertificatesIssued"
						       name="shareCertificatesIssued"
						       ng-model="transaction.shareCertificatesIssued"
						       value="true"/>
						<label for="shareCertificatesIssued"><span></span></label>
					</div>

					<div class="col-1">
						<p><label>Kommentar</label><input name="comment" ng-model="transaction.comment"/></p>

						<p class="helptext">Här kan du ange en valfri kommentar som beskriver transaktionen</p>
					</div>
				</fieldset>


				<div class="col-1" ng-show="hasValidOwner">
					<button class="update" type="submit" ng-click="save()">Spara</button>
				</div>

			</form>
		</div>
	</div>
</div>